Skip to main content
POST
Add budget item

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

campaignGuid
string
required

The unique identifier of the campaign to which the budget item will be added.

Body

application/json
amount
number
required

The monetary value of the budget item, represented as a number.

name
string
required

The name of the budget item. It is a string that identifies the budget item.

order
integer<int32>
required

An integer indicating the order or sequence of the budget item.

description
string

A string providing additional details about the budget item.

Response

successful operation

amount
number
required

The financial amount allocated to this budget item, represented as a number.

createdAt
integer<int64>
required

A Unix timestamp in milliseconds indicating when this budget item was created.

id
string
required

The unique identifier for this budget item, represented as a string.

name
string
required

The name of the budget item, represented as a string.

order
integer<int32>
required

An integer representing the order or sequence of this budget item within the campaign.

updatedAt
integer<int64>
required

A Unix timestamp in milliseconds indicating when this budget item was last updated.

description
string

A description of the budget item, represented as a string.

Last modified on August 3, 2026